{% extends "base.html" %}

{% block title %}Reports{% endblock %}
{% block heading %}Reports{% endblock %}
{% block pageid %}reports{% endblock %}

{% block content %}
<center>
This page is currently in <span style="color:red;font-weight: bold;">beta</span>.
Use for cross-checking and validation purposes only.
</center>

{% autoescape off %}
{{ latency_plot_div }}
{% endautoescape %}

<div class="row my-3 justify-content-md-center">
    <div class="col-md-8">
        <table class="table-hover table-condensed table-resp-gracedb shadow p-3 mb-5 rounded" style="text-align:center">
            <thead>
                <td> Pipeline </td>
                <td> Uploads </td>
                <td> Min. Latency (s) </td>
                <td> Max Latency (s) </td>
                <td> Avg. Latency (s) </td> 
                <td> Std. Dev.  (s) </td> 
            </thead>
            {% for data in pipeline_stats %}
              <tr>
                  <!--<td style="font-family: monospace;"> {{data.name}} </td> -->
                  <td style="font-family: 'Courier New', Courier, monospace; font-size: 12px; white-space: pre;"> {{data.name}} </td>
                  <td> {{data.count}} </td>
                  <td> {% if data.min %} {{data.min|floatformat:3}} 
                           (<a href="{% url "view" data.min_gid %}">{{ data.min_gid }}</a>)
                       {% endif %}
                  </td>
                  <td> {% if data.max %} {{data.max|floatformat:3}} 
                           (<a href="{% url "view" data.max_gid %}">{{ data.max_gid }}</a>)
                       {% endif %}
                  </td>
                  <td> {{data.avg|floatformat:3}} </td>
                  <td> {{data.std|floatformat:3}} </td>
              </tr>
            {% endfor %}
        </table>
    </div>
</div>

{% endblock %}
